Summary: ELevate project packages from the AlmaLinux Migration SIG repository
Name: elevate-release
Version: 1.0
Release: 1%{?dist}
License: ASL 2.0
URL: https://wiki.almalinux.org/sigs/Migration
Source0: RPM-GPG-KEY-ELevate
Source1: ELevate.repo
BuildArch: noarch

%if 0%{?centos} >= 7
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%endif

Provides: elevate-release = 1

%description
yum configuration for ELevate project packages from the AlmaLinux Migration SIG.

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-ELevate
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d/ELevate.repo

%if 0%{?centos} >= 7
%post
%systemd_post

%preun
%systemd_preun

%postun
%systemd_postun
%endif

%files
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-ELevate
%config(noreplace) %{_sysconfdir}/yum.repos.d/ELevate.repo

%changelog
* Tue Sep 28 2021 Andrew Lukoshko <alukoshko@almalinux.org> - 1.0-1
- Initial version
